Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.plugin.filter.forward
Class CountingFilter

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.analysis.plugin.filter.forward.CountingFilter

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin

    public final class CountingFilter

extends AbstractFilterPlugin

An instance of this class receives any objects, increments an intern tread-safe counter without printing any message and delivers the unchanged objects to the output. The value of the counter can be retrieved by connected to the respective output port using a corresponding method.

Since:
  1.4
Author:
  Jan Waller, Nils Christian Ehmke

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `INPUT_PORT_NAME_EVENTS` The name of the input port receiving the incoming events.
`static String` | `OUTPUT_PORT_NAME_COUNT` The name of the output port which delivers the current counter value.
`static String` | `OUTPUT_PORT_NAME_RELAYED_EVENTS` The name of the output port passing the incoming events.

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`CountingFilter(Configuration configuration, IProjectContext projectContext)` Creates a new instance of this class using the given parameters.

Method Summary
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`long` | `getMessageCount()` Returns the number of objects received until now.
`boolean` | `init()` Initiates the start of a component.
`void` | `inputEvent(Object event)` This method represents the input port of this filter.
`PlainText` | `plainTextDisplay()`
`XYPlot` | `xyPlotDisplay()`

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`terminate`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### INPUT_PORT_NAME_EVENTS

    public static final String INPUT_PORT_NAME_EVENTS

  The name of the input port receiving the incoming events.

  See Also:
    Constant Field Values

### OUTPUT_PORT_NAME_RELAYED_EVENTS

    public static final String OUTPUT_PORT_NAME_RELAYED_EVENTS

  The name of the output port passing the incoming events.

  See Also:
    Constant Field Values

### OUTPUT_PORT_NAME_COUNT

    public static final String OUTPUT_PORT_NAME_COUNT

  The name of the output port which delivers the current counter value.

  See Also:
    Constant Field Values

Constructor Detail

### CountingFilter

    public CountingFilter(Configuration configuration,
                          IProjectContext projectContext)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration for this component.
    `projectContext` - The project context for this component.

Method Detail

### getCurrentConfiguration

    public final Configuration getCurrentConfiguration()

  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Specified by:
    `getCurrentConfiguration` in class `AbstractAnalysisComponent`
  Returns:
    A completely filled configuration object.

### getMessageCount

    public final long getMessageCount()

  Returns the number of objects received until now.

  Returns:
    The current counter value.

### inputEvent

    public final void inputEvent(Object event)

  This method represents the input port of this filter.

  Parameters:
    `event` - The next event.

### init

    public boolean init()

  Description copied from class: `AbstractFilterPlugin`
  Initiates the start of a component. This method is called once when a AnalysisController's run() method is called. This implementation must not be blocking! Asynchronous consumers would spawn (an) asynchronous thread(s) in this method.

  Specified by:
    `init` in interface `IPlugin`
  Overrides:
    `init` in class `AbstractFilterPlugin`
  Returns:
    true on success; false otherwise.

### plainTextDisplay

    public final PlainText plainTextDisplay()

### xyPlotDisplay

    public final XYPlot xyPlotDisplay()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net